Loading...
Searching...
No Matches
QXmppOmemoStorage::OwnDevice Struct Reference

`#include <QXmppOmemoStorage.h>`

## Public Attributes

uint32_t | id = 0
QString | label
QByteArray | privateIdentityKey
QByteArray | publicIdentityKey
uint32_t | latestSignedPreKeyId = 1
uint32_t | latestPreKeyId = 1

## Detailed Description

Contains the data of this client instance's OMEMO device.

## Member Data Documentation

## id

uint32_t QXmppOmemoStorage::OwnDevice::id = 0

ID used to identify a device and fetch its bundle

A valid ID must be at least 1 and at most `std::numeric_limits<int32_t>::max()`.

## label

QString QXmppOmemoStorage::OwnDevice::label

Human-readable string used to identify the device by users

The label should not contain more than 53 characters.

## latestPreKeyId

uint32_t QXmppOmemoStorage::OwnDevice::latestPreKeyId = 1

ID of the latest pre key pair

A valid ID must be at least 1 and at most `std::numeric_limits<int32_t>::max()`.

## latestSignedPreKeyId

uint32_t QXmppOmemoStorage::OwnDevice::latestSignedPreKeyId = 1

ID of the latest pre key pair whose public key is signed

A valid ID must be at least 1 and at most `std::numeric_limits<int32_t>::max()`.

## privateIdentityKey

QByteArray QXmppOmemoStorage::OwnDevice::privateIdentityKey

Private long-term key which never changes

## publicIdentityKey

QByteArray QXmppOmemoStorage::OwnDevice::publicIdentityKey

Public long-term key which never changes

The documentation for this struct was generated from the following file:

- QXmppOmemoStorage.h